#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Name:           libkscreen
Summary:        Display configuration library
Version:        0.0.71
Release:        %mkrel %{rel}
Group:          System/Configuration 
License:        GPLv2
URL:            https://projects.kde.org/projects/playground/libs/libkscreen
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRequires:  kdelibs4-devel >= 2:%version
BuildRequires:  libxrandr-devel
BuildRequires:  qjson-devel >= 0.8.1
Requires:       kdebase4-runtime

%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files 
%_kde_libdir/kde4/plugins/kscreen/KSC_Fake.so
%_kde_libdir/kde4/plugins/kscreen/KSC_XRandR.so

#------------------------------------------------------------------------------

%define kscreen_major 0
%define libkscreen %mklibname kscreen %kscreen_major

%package -n %libkscreen
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libkscreen
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkscreen
%_kde_libdir/libkscreen.so.%{kscreen_major}*

#------------------------------------------------------------------------------

%define libkscreen_d %mklibname kscreen -d

%package -n %libkscreen_d
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkscreen = %version-%release
Provides: %name-devel = %version-%release

%description  -n %libkscreen_d
Files needed to build applications based on %{name}.

%files -n %libkscreen_d
%_kde_includedir/kscreen
%_kde_libdir/cmake/LibKScreen
%_kde_libdir/libkscreen.so
%_kde_libdir/pkgconfig/kscreen.pc

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-2.mga3
+ Revision: 392795
- Fix requires in the devel package

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-1.mga3
+ Revision: 392779
- imported package libkscreen

